Skip to main content

Get the run in progress of a multi-step check

GET 

/api/v1/orgs/:org/checks/:checkUid/run

A multi-step check (the website crawl) runs as a series of short slices, each saving its progress. This returns the run in progress: its uid, start, completed slices and the progress of its last slice (for a crawl pagesDone, maxPages, queued, findings, phase). {"running": false} when no run is in progress, and for every check type that does not run in steps.

Request​

Responses​

The run in progress, or running false